Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1548762

Summary: Review Request: imgp - Multi-core batch image resizer and rotator
Product: [Fedora] Fedora Reporter: Robert-André Mauchin 🐧 <zebob.m>
Component: Package ReviewAssignee: Jos de Kloe <josdekloe>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: josdekloe, package-review
Target Milestone: ---Flags: josdekloe: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-03-29 16:19:47 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:

Description Robert-André Mauchin 🐧 2018-02-24 20:50:00 UTC
Spec URL: https://raw.githubusercontent.com/eclipseo/packaging/ec5f137/imgp.spec
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/eclipseo/jarun/fedora-rawhide-x86_64/00720661-imgp/imgp-2.5-1.fc28.src.rpm

Description:
imgp is a command line image resizer and rotator for JPEG and PNG images. 
It can resize (or thumbnail) and rotate thousands of images in a go,
at lightning speed, while saving significantly on storage.

Powered by multiprocessing, an intelligent adaptive algorithm, 
recursive operations, shell completion scripts, EXIF preservation (and more), 
imgp is a very flexible utility with well-documented easy to use options.

imgp intends to be a stronger replacement of the Nautilus Image Converter 
extension, not tied to any file manager and way faster. On desktop environments 
(like Xfce or LxQt) which do not integrate Nautilus, imgp will save your day.

Fedora Account System Username: eclipseo

Comment 1 Jos de Kloe 2018-02-25 13:11:06 UTC


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- All build dependencies are listed in BuildRequires, except for any that
  are listed in the exceptions section of Packaging Guidelines.
  Note: These BR are not needed: make
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2

- the above remark generated by the fedora-review tool is correct,
  but I think it does not hurt to have an explicit Requires for make

- I think a Requires for python3-pillow should be added
  apart from that all seems fine to me.
  It is not in the generated Requires list at the bottom.

-the rpmlint tool complains about spelling errors, but I do not think 
 these are actual problems.

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v3 or later)", "Unknown or generated". 10 files have
     unknown license. Detailed output of licensecheck in
     /home/user_to_make_rpms/reviews/1548762-imgp/licensecheck.txt
[-]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/fish,
     /usr/share/zsh, /usr/share/fish/vendor_functions.d
==>this package provides autocompletion for bash, fish or zsh
   but having any of these installed is optional and is not needed for
   the functioning of this package. Therefore the package should not, 
   and does not own the directories /usr/share/zsh, 
   /usr/share/zsh/site-functions and this seems correct to me.
[-]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by:
     /usr/share/fish/vendor_functions.d(fish, ripgrep, exa), /usr/share/zsh
     /site-functions(mercurial, systemd, pulseaudio, curl)
==>see above remark
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[!]: Requires correct, justified where necessary.
==>should it require python3-pillow?
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
==>see above requires remark
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
==>the make test section of the Makefile is still empty
   so indeed no need to have a check section yet
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: imgp-2.5-1.fc28.noarch.rpm
          imgp-2.5-1.fc28.src.rpm
imgp.noarch: W: spelling-error Summary(en_US) Multi -> Mulch, Mufti
imgp.noarch: W: spelling-error Summary(en_US) resizer -> re sizer, re-sizer, resister
imgp.noarch: W: spelling-error Summary(en_US) rotator -> rotatory, rota tor, rota-tor
imgp.noarch: W: spelling-error %description -l en_US resizer -> re sizer, re-sizer, resister
imgp.noarch: W: spelling-error %description -l en_US rotator -> rotatory, rota tor, rota-tor
imgp.noarch: W: spelling-error %description -l en_US resize -> reside, re size, re-size
imgp.src: W: spelling-error Summary(en_US) Multi -> Mulch, Mufti
imgp.src: W: spelling-error Summary(en_US) resizer -> re sizer, re-sizer, resister
imgp.src: W: spelling-error Summary(en_US) rotator -> rotatory, rota tor, rota-tor
imgp.src: W: spelling-error %description -l en_US resizer -> re sizer, re-sizer, resister
imgp.src: W: spelling-error %description -l en_US rotator -> rotatory, rota tor, rota-tor
imgp.src: W: spelling-error %description -l en_US resize -> reside, re size, re-size
2 packages and 0 specfiles checked; 0 errors, 12 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
imgp.noarch: W: spelling-error Summary(en_US) Multi -> Mulch, Mufti
imgp.noarch: W: spelling-error Summary(en_US) resizer -> re sizer, re-sizer, resister
imgp.noarch: W: spelling-error Summary(en_US) rotator -> rotatory, rota tor, rota-tor
imgp.noarch: W: spelling-error %description -l en_US resizer -> re sizer, re-sizer, resister
imgp.noarch: W: spelling-error %description -l en_US rotator -> rotatory, rota tor, rota-tor
imgp.noarch: W: spelling-error %description -l en_US resize -> reside, re size, re-size
imgp.noarch: W: invalid-url URL: https://github.com/jarun/imgp <urlopen error [Errno -2] Name or service not known>
1 packages and 0 specfiles checked; 0 errors, 7 warnings.



Requires
--------
imgp (rpmlib, GLIBC filtered):
    /usr/bin/python3



Provides
--------
imgp:
    imgp



Source checksums
----------------
https://github.com/jarun/imgp/archive/v2.5/imgp-2.5.tar.gz :
  CHECKSUM(SHA256) this package     : 6f810104f80f23c1c0967e156921b971947e902d6809c5dae2885777c996eae0
  CHECKSUM(SHA256) upstream package : 6f810104f80f23c1c0967e156921b971947e902d6809c5dae2885777c996eae0


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1548762
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 3 Jos de Kloe 2018-02-25 18:24:07 UTC
Thanks.
I am happy with this version, so this review is approved.

By the way, just curious. Why did you change the invocation of the install command to not use the macro anymore? Was there a need to do this?

Best regards, Jos

Comment 4 Robert-André Mauchin 🐧 2018-02-25 18:29:40 UTC
It was an advice from another review, this macro is superfluous, it doesn't bring anything to use it.

Comment 5 Gwyn Ciesla 2018-03-14 16:52:17 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/imgp

Comment 6 Fedora Update System 2018-03-15 16:31:41 UTC
imgp-2.5-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-6b9e5c485e

Comment 7 Fedora Update System 2018-03-15 16:36:45 UTC
imgp-2.5-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-7dd2ddec29

Comment 8 Fedora Update System 2018-03-16 14:45:34 UTC
imgp-2.5-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-6b9e5c485e

Comment 9 Fedora Update System 2018-03-16 17:55:24 UTC
imgp-2.5-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-7dd2ddec29

Comment 10 Fedora Update System 2018-03-29 16:19:47 UTC
imgp-2.5-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2018-03-30 12:58:38 UTC
imgp-2.5-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.